Replay an Integration Instance

post

/ic/api/integration/v1/monitoring/instances/{id}/replay

Replay the integration instance with the specified identifier.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : ids
Type: array
Show Source
Back to Top

Response

Supported Media Types

200 Response

OK
Body ()
Root Schema : InstanceReplayRs
Type: object
Show Source
Nested Schema : failed-submissions
Type: array
Show Source
Nested Schema : filtered-out-instances-with-reason
Type: array
Show Source
Nested Schema : replayed-instances
Type: array
Show Source
Nested Schema : schema
Type: object

400 Response

Null request body / missing ids / invalid id

401 Response

Unauthorized for projectCode

403 Response

Forbidden

412 Response

Non-replayable instance or integration

500 Response

Server error
Back to Top

Examples

The following example shows how to replay the integration instance by submitting a POST request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.

Example: Replay the integration for instance id 100001

curl -X POST -H 'Authorization: Bearer access_token' -H "Content-Type:application/json" -d '{replayTraceLevel: 'Audit', flowCode: 'TEST_FUTURE_RUNS', flowVersion: '01.00.0000'}' https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/monitoring/instances/100001/replay?return=monitoringui&integrationInstance=service_instance

This example replays the integration instance for an instance with instance id: 100001.

Back to Top